# ClusterLock

> **ClusterLock** = `object`

Defined in: [types.ts:341](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L341)

Cluster Details after DKG is complete

## Properties

| Property                 | Type                                                                   | Description                                                 | Defined in                                                                                                              |
| ------------------------ | ---------------------------------------------------------------------- | ----------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `cluster_definition`     | [`ClusterDefinition`](/sdk/interfaces/clusterdefinition.md)            | The cluster definition.                                     | [types.ts:343](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L343) |
| `distributed_validators` | [`DistributedValidator`](/sdk/type-aliases/distributedvalidator.md)\[] | The cluster distributed validators.                         | [types.ts:346](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L346) |
| `signature_aggregate`    | `string`                                                               | The cluster bls signature aggregate.                        | [types.ts:349](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L349) |
| `lock_hash`              | `string`                                                               | The hash of the cluster lock.                               | [types.ts:352](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L352) |
| `node_signatures?`       | `string`\[]                                                            | Node Signature for the lock hash by the node secp256k1 key. | [types.ts:355](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L355) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.obol.org/sdk/type-aliases/clusterlock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
